@frostbytes89
Completely agree with you and all your points that he should move up to VS2015. Gauging from his comments it looks like he did in fact go that way and is doing ok.

A. Change VS2015 to use MSVC100 (requires VS2010 in one way, shape, or form
However I wanted to point out for completeness that you can't just select MSVC100 in VS2015 unless Visual C++ 2010 or MSVC 10.0 is actually installed on the system. You can't choose that Platform Toolset in the Project Properties unless that toolset is installed. I think that's what you meant in the statement in your parens but in case anybody missed that it might be important to point out.

-Steve